Microwave filters GUI 2.0.3

- Main Page
- Related Pages
- Packages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
dbplot.AutoScaleZoomerBase Class Reference

Class that stores zoomer base. More...

## Public Member Functions
def | __init__
| Class constructor.
def | updateZoomerBase
| Given a set of max and min values for all axis, computes and returns the zoomer base rectangles.

## Detailed Description

Class that stores zoomer base.

It is useul to autoscale to the zoomer base, not using the method setAxisAutoScale, which would scale accounting the masks.

Definition at line 2411 of file dbplot.py.

## Constructor & Destructor Documentation

def dbplot.AutoScaleZoomerBase.__init__ | ( |  | self,
|  |  | leftZoomerBaseRect,
|  |  | rightZoomerBaseRect
| ) |  |

Class constructor.

Gets the data from dbplot zoomers base in nTab.

Parameters

  leftZoomerBaseRect | = Left zoomer base rectangle (QRectF).
  rightZoomerBaseRect | = Right zoomer base rectangle (QRectF). Left zoomer base. Right zoomer base for autoscale,. Zoomer base for autoscale, Xmin. Zoomer base for autoscale, Xmax. Zoomer base for autoscale, LeftYmin. Zoomer base for autoscale, LeftYmax. Zoomer base for autoscale, RightYmin. Zoomer base for autoscale, RightYmax.

Definition at line 2419 of file dbplot.py.

References dbplot.AutoScaleZoomerBase.leftYmax, dbplot.AutoScaleZoomerBase.leftYmin, dbplot.AutoScaleZoomerBase.leftZoomerBaseRect, dbplot.AutoScaleZoomerBase.rightYmax, dbplot.AutoScaleZoomerBase.rightYmin, dbplot.AutoScaleZoomerBase.rightZoomerBaseRect, dbplot.AutoScaleZoomerBase.Xmax, and dbplot.AutoScaleZoomerBase.Xmin.

## Member Function Documentation

def dbplot.AutoScaleZoomerBase.updateZoomerBase | ( |  | self,
|  |  | Xmin,
|  |  | Xmax,
|  |  | leftYmin,
|  |  | leftYmax,
|  |  | rightYmin,
|  |  | rightYmax
| ) |  |

Given a set of max and min values for all axis, computes and returns the zoomer base rectangles.

The attributes of AutoScaleZoomerBase class instance are updated accordingly.

Returns
  leftZoomerBaseRect = Left zoomer base rectangle (QRectF).
  rightZoomerBaseRect = Right zoomer base rectangle (QRectF).

Definition at line 2461 of file dbplot.py.

References dbplot.AutoScaleZoomerBase.leftYmax, dbplot.AutoScaleZoomerBase.leftYmin, dbplot.AutoScaleZoomerBase.leftZoomerBaseRect, dbplot.AutoScaleZoomerBase.rightYmax, dbplot.AutoScaleZoomerBase.rightYmin, dbplot.AutoScaleZoomerBase.rightZoomerBaseRect, dbplot.AutoScaleZoomerBase.Xmax, and dbplot.AutoScaleZoomerBase.Xmin.

The documentation for this class was generated from the following file:

- dbplot.py